// Nova.cpp : implementation file
//
#include <afxwin.h>
#include "defines.h"
#include "rc\resource.h"
#include "Nova.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Nova dialog

#define CTRL2VAR TRUE
#define VAR2CTRL FALSE

extern Hra h;

Nova::Nova(CWnd* pParent /*=NULL*/)
   : CDialog(IDD_NOVA, pParent)
{
    //{{AFX_DATA_INIT(CModalDlg)
	// inicializace 1. vysouvaciho menu
	if ((h.pocitac == KRIZEK)||(h.demo==true)) {
		switch (h.obtiznost_kr) {
		case HARD : { m_sthrac = (HARDS); break; }
		case MEDIUM : { m_sthrac = (MEDIUMS); break; }
		case EASY : { m_sthrac = (EASYS); break; }
		case DEMO : { m_sthrac = (DEMOS); break; }
		case OBRANAR : { m_sthrac = (OBRANARS); break; }
		case UTOCNIK : { m_sthrac = (UTOCNIKS); break; }
			};
		}
	else m_sthrac = (CLOVEKS);
	
	// inicializace 2. vysouvaciho menu
	if ((h.pocitac == KOLECKO)||(h.demo==true)) {
		switch (h.obtiznost_ko) {
		case HARD : { m_ndhrac = (HARDS); break; }
		case MEDIUM : { m_ndhrac = (MEDIUMS); break; }
		case EASY : { m_ndhrac = (EASYS); break; }
		case DEMO : { m_ndhrac = (DEMOS); break; }
		case OBRANAR : { m_ndhrac = (OBRANARS); break; }
		case UTOCNIK : { m_ndhrac = (UTOCNIKS); break; }
			};
		}
	else m_ndhrac = (CLOVEKS);

	// inicializace check boxu
	if (h.natahu == KRIZEK) m_check = 1;
	else m_check = 0;

	m_edit_x = h.plochaX;
	m_edit_y = h.plochaY;

	//}}AFX_DATA_INIT	

}


BOOL Nova::OnInitDialog() {
	
	CDialog::OnInitDialog();

	UpdateData(VAR2CTRL);

	return true;
}

void Nova::OnOK() 
{
   UpdateData(CTRL2VAR); // aktualizace dat

	// chyba v rozmerech
	if ((m_edit_x < 10)||(m_edit_y < 10)) { MessageBox("Nelze hrat na plose mensi, nez 10*10","Chyba v rozmeru !",MB_ICONSTOP); return; };
	if ((m_edit_x > PLOCHAX)||(m_edit_y > PLOCHAY)) { MessageBox("Nelze hrat na plose vetsi, nez 40*40","Chyba v rozmeru !",MB_ICONSTOP); return; };


	h.plochaX = m_edit_x;
	h.plochaY = m_edit_y;

	// zpracovani 1. COMBA
	if (m_sthrac == UTOCNIKS ) { h.obtiznost_kr = UTOCNIK; h.pocitac = KRIZEK; }; 	
	if (m_sthrac == OBRANARS ) { h.obtiznost_kr = OBRANAR; h.pocitac = KRIZEK; }; 	
	if (m_sthrac == DEMOS ) { h.obtiznost_kr = DEMO; h.pocitac = KRIZEK; }; 	
	if (m_sthrac == HARDS ) { h.obtiznost_kr = HARD; h.pocitac = KRIZEK; };
	if (m_sthrac == MEDIUMS ) { h.obtiznost_kr = MEDIUM; h.pocitac = KRIZEK; };
	if (m_sthrac == EASYS ) { h.obtiznost_kr = EASY; h.pocitac = KRIZEK; };
	
	// zpracovani 2. COMBA
	if (m_ndhrac == UTOCNIKS ) { h.obtiznost_ko = UTOCNIK; h.pocitac = KOLECKO; }; 	
	if (m_ndhrac == OBRANARS ) { h.obtiznost_ko = OBRANAR; h.pocitac = KOLECKO; }; 	
	if (m_ndhrac == DEMOS ) { h.obtiznost_ko = DEMO; h.pocitac = KOLECKO; };
	if (m_ndhrac == HARDS ) { h.obtiznost_ko = HARD; h.pocitac = KOLECKO; };
	if (m_ndhrac == MEDIUMS ) { h.obtiznost_ko = MEDIUM; h.pocitac = KOLECKO; };
	if (m_ndhrac == EASYS ) { h.obtiznost_ko = EASY; h.pocitac = KOLECKO; };
	

	// zpracovani zaskrtavatka
	if (m_check == 1) h.natahu = KRIZEK;
	else h.natahu = KOLECKO;

	// test na demo
	if ((m_sthrac != CLOVEKS) && (m_ndhrac != CLOVEKS)) {
		MessageBox("Budete svedky dema bez lidi.","Pozor !",MB_OK);
		h.demo = true;
		// zabezpeci, ze hrac urci sam 1. piskvorku dema
		if (h.natahu == KOLECKO) h.pocitac = KRIZEK;
		else h.pocitac = KOLECKO;
	}
	else {
		if ((m_sthrac == CLOVEKS) && (m_ndhrac == CLOVEKS)) h.pocitac = NIC;
		h.demo = false;
	};
	

	h.Reset(); // reset hry

	CDialog::OnOK(); // ukonceni dialogu 
}



void Nova::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	// prirazeni konrolni prvky  <- -> promnene
    //{{AFX_DATA_MAP(CModalDlg)
		DDX_CBString(pDX, IDC_COMBO1, m_sthrac);
		DDX_CBString(pDX, IDC_COMBO2, m_ndhrac);
		DDX_Check(pDX, IDC_CHECK1, m_check);
		DDX_Text(pDX, IDC_EDIT_X, m_edit_x);
		DDX_Text(pDX, IDC_EDIT_Y, m_edit_y);

    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Nova, CDialog)
	
END_MESSAGE_MAP()
